#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

%define		gst_req_ver	1.2.0
%define		gstpb_req_ver	1.2.0
Summary:	GStreamer extension library for non-linear editing
Summary(pl.UTF-8):	Biblioteka rozszerzenia GStreamera do edycji nieliniowej
Name:		gstreamer-gnonlin
Version:	1.1.90
Release:	1
License:	LGPL v2+
Group:		Applications/Multimedia
Source0:	http://gstreamer.freedesktop.org/src/gnonlin/gnonlin-%{version}.tar.xz
# Source0-md5:	228180c74839caeb0f407596cd180ad3
URL:		http://gnonlin.sourceforge.net/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.34
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.34
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnonlin is a plugin for GStreamer which provides support for writing
non-linear audio and video editing applications. It introduces the
concept of a timeline.

%description -l pl.UTF-8
Gnonlin to wtyczka dla GStreamera pozwalająca na pisanie aplikacji do
nieliniowej edycji dźwięku i obrazu. Wprowadza pojęcia "linii czasu".

%package apidocs
Summary:	Gnonlin API documentation
Summary(pl.UTF-8):	Dokumentacja API Gnonlin
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Gnonlin API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Gnonlin.

%prep
%setup -q -n gnonlin-%{version}

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgnl.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnonlin-1.0
%endif
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-gnonlin.git;a=log;h=master

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> f663cc0
- updated to 1.1.90 for gstreamer 1.2 series

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c8df82a
- release 2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 3f2564a
- bconds should be the very first thing, moved defines and includes after them

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 7e14f87
- BR: docbook-dtd412-xml

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 6c1a865
- updated to 0.10.17

* Sun Jan 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 88f86bc
- updated BRs
- disable silent-rules

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> b11bfe7
- Up to 0.10.16, adapterized

* Mon May 31 2010 Patryk Zawadzki <patrys@room-303.com> fd803ca
- 0.10.15

* Sat Sep 12 2009 Patryk Zawadzki <patrys@room-303.com> 386fb3c
- 0.10.13

* Sun May 24 2009 Patryk Zawadzki <patrys@room-303.com> 8f3c4c2
- 0.10.11

* Tue Nov 11 2008 Artur Frysiak <artur@frysiak.net> 017b914
- updated to 0.10.10
- added apidoc subpackage

* Thu Aug 30 2007 Jakub Bogusz <qboosh@pld-linux.org> d168a5f
- updated to 0.10.9

* Fri May 11 2007 Jakub Bogusz <qboosh@pld-linux.org> f6aa56a
- updated to 0.10.8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 99fb9b7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e4cd559
- converted to UTF-8

* Tue Jan 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 0413c06
- updated to 0.10.7

* Thu Nov 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 24f49d2
- updated to 0.10.6

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 9423dab
- new

